=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	$(MAKE) CC="$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/vrfy DESTBIN=/usr/bin STRIP= install

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

%:
	dh $@

# End of file
