=== debian/watch ===
version=3
# upstream URL (ftp://ftp.nikhef.nl/pub/network/) is currently unavailable.
